# Roadmap 1.0
## Summary
Make the program real-world usable and stable.

## Required changes
* password hashing
  * configurable algorithm (sane default)
  * configurable nr of rounds (sand default)
  * a way to enter the password securely in a prompt while still being able to handle `stdin` data
* add usage examples to README.md
* unit tests
* understand `encrypt_next_in_place()`s first argument better
  * current understanding:
    * associated data is used for parts of the data that cannot be
      encrypted but should also be integrity protected by the authentication tag
    * since there are no parts that cannot be encrypted in the context of `fcry` it is correct
      to pass an empty slice to the first argument of `encrypt_next_in_place()`

# Roadmap 2.0
* parallel processing: use all available (or configurable) CPU cores

# Roadmap later or never
* split into `lib` and `bin`
* other AEAD algorithms